-- ===========================================================================
-- Add version 1 of the schema definition and logic to the consolidated 
-- database.
-- ===========================================================================

-- Add DDL statements for the version 1->2 schema changes to SU_SQLStatement
insert into SU_SQLStatement( CurrentVersion, TargetVersion, Sequence, SqlStatement )
values ( 0, 1, 1, 'CREATE TABLE Employee( EmployeeID INT PRIMARY KEY, EmployeeName VARCHAR(128) )' );
insert into SU_SQLStatement( CurrentVersion, TargetVersion, Sequence, SqlStatement )
values ( 0, 1, 2, 'CREATE PUBLICATION PublicationData ( TABLE Employee )' );
insert into SU_SQLStatement( CurrentVersion, TargetVersion, Sequence, SqlStatement )
values ( 1, 0, 1, 'DROP PUBLICATION PublicationData' );
insert into SU_SQLStatement( CurrentVersion, TargetVersion, Sequence, SqlStatement )
values ( 1, 0, 2, 'DROP TABLE Employee' );
go

-- Add the Version 2 download synchronization script
call ml_add_table_script( 
    '1', 
    'Employee', 
    'download_cursor',
    'SELECT EmployeeID, EmployeeName FROM Employee WHERE LastModified >= {ml s.last_table_download}'
)
go

-- Instruct all clients to upgrade
update SU_RemoteDatabaseVersion 
set TargetVersion = 1
where TargetVersion = 0;
go
