-- ===========================================================================
-- Add version 2 of the schema definition and logic to the consolidated 
-- database.
-- ===========================================================================

-- Add DDL statements for the version 1->2 schema changes to SU_SQLStatement
insert into SU_SQLStatement( CurrentVersion, TargetVersion, Sequence, SqlStatement )
values ( 1, 2, 1, 'DROP PUBLICATION PublicationData' );
insert into SU_SQLStatement( CurrentVersion, TargetVersion, Sequence, SqlStatement )
values ( 1, 2, 2, 'ALTER TABLE Employee ADD EmployeePhone VARCHAR( 30 )' );
insert into SU_SQLStatement( CurrentVersion, TargetVersion, Sequence, SqlStatement )
values ( 1, 2, 3, 'CREATE PUBLICATION PublicationData ( TABLE Employee )' );
insert into SU_SQLStatement( CurrentVersion, TargetVersion, Sequence, SqlStatement )
values ( 2, 1, 1, 'DROP PUBLICATION PublicationData' );
insert into SU_SQLStatement( CurrentVersion, TargetVersion, Sequence, SqlStatement )
values ( 2, 1, 2, 'ALTER TABLE Employee DROP EmployeePhone' );
insert into SU_SQLStatement( CurrentVersion, TargetVersion, Sequence, SqlStatement )
values ( 2, 1, 3, 'CREATE PUBLICATION PublicationData( TABLE Employee )' );
go

-- Add the Version 2 download synchronization script
call ml_add_table_script( 
    '2', 
    'Employee', 
    'download_cursor',
    'SELECT EmployeeID, EmployeeName, EmployeePhone FROM Employee WHERE LastModified >= {ml s.last_table_download}'
)
go

-- Instruct all clients to upgrade
update SU_RemoteDatabaseVersion 
set TargetVersion = 2
where TargetVersion = 1;
go


