-- ===========================================================================
-- Add version 3 of the schema definition and logic to the consolidated 
-- database.
-- ===========================================================================

-- Add DDL statements for the version 2->3 schema changes to SU_SQLStatement
insert into SU_SQLStatement( CurrentVersion, TargetVersion, Sequence, SqlStatement )
values ( 2, 3, 1, 'DROP PUBLICATION PublicationData' );
insert into SU_SQLStatement( CurrentVersion, TargetVersion, Sequence, SqlStatement )
values ( 2, 3, 2, 'ALTER TABLE Employee ADD EmployeeEMail VARCHAR( 128 )' );
insert into SU_SQLStatement( CurrentVersion, TargetVersion, Sequence, SqlStatement )
values ( 2, 3, 3, 'CREATE PUBLICATION PublicationData ( TABLE Employee )' );
insert into SU_SQLStatement( CurrentVersion, TargetVersion, Sequence, SqlStatement )
values ( 3, 2, 1, 'DROP PUBLICATION PublicationData' );
insert into SU_SQLStatement( CurrentVersion, TargetVersion, Sequence, SqlStatement )
values ( 3, 2, 2, 'ALTER TABLE Employee DROP EmployeeEMail' );
insert into SU_SQLStatement( CurrentVersion, TargetVersion, Sequence, SqlStatement )
values ( 3, 2, 3, 'CREATE PUBLICATION PublicationData( TABLE Employee )' );
go

-- Add the Version 3 download synchronization script
call ml_add_table_script( 
    '3', 
    'Employee', 
    'download_cursor',
    'SELECT EmployeeID, EmployeeName, EmployeePhone, EmployeeEMail FROM Employee WHERE LastModified >= {ml s.last_table_download}'
)
go

-- Instruct all clients to upgrade
update SU_RemoteDatabaseVersion 
set TargetVersion = 3
where TargetVersion = 2;
go

